__acl: if users/groups check fail, log error and exit in explorer

remotes/origin/5.1
Ander Punnar 6 years ago
parent 31b9859e08
commit 894311a572
  1. 3
      cdist/conf/type/__acl/explorer/missing_users_groups
  2. 8
      cdist/conf/type/__acl/gencode-remote

@ -40,7 +40,8 @@ do
if ! getent "$getent_db" "$check" > /dev/null
then
echo "missing $parameter '$check'"
echo "missing $parameter '$check'" >&2
exit 1
fi
done \
< "$__object/parameter/$parameter"

@ -22,14 +22,6 @@ file_is="$( cat "$__object/explorer/file_is" )"
[ "$file_is" = 'missing' ] && exit 0
missing_users_groups="$( cat "$__object/explorer/missing_users_groups" )"
if [ -n "$missing_users_groups" ]
then
echo "$missing_users_groups" >&2
exit 1
fi
os="$( cat "$__global/explorer/os" )"
acl_is="$( cat "$__object/explorer/acl_is" )"

Loading…
Cancel
Save